Bug 509020 - sunbird locales broken
sunbird locales broken
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: sunbird (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Lubomir Rintel
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-30 17:41 EDT by Didier G
Modified: 2009-09-06 16:42 EDT (History)
4 users (show)

See Also:
Fixed In Version: 1.0-0.6.20090715hg.fc11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-06 16:42:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Didier G 2009-06-30 17:41:18 EDT
Description of problem:

When trying to create a new event in Sunbird with LANG=fr_FR.UTF-8 I get error message.

If Sunbird is started in terminal with LANG=C it is possible to create new event with no error.

Version-Release number of selected component (if applicable):

sunbird-1.0-0.5.20090513hg.fc11.i586.rpm

(same problem with sunbird-1.0-0.3.20090302hg.fc11.i586.rpm)

How reproducible:

Juste try to create a new event


Steps to Reproduce:
1.Start Sunbird
2.Click on any place in agenda to create new event 
3.
  
Actual results:

Message (in french)

Erreur d'analyse XML : entité non définie
Emplacement : chrome://calendar/content/calendar-event-dialog.xul
Numéro de ligne 299, Colonne 29 :                            <menuitem id="file-new-address-menuitem"
----------------------------^


Expected results:


Additional info:
Comment 1 bugzilla 2009-07-27 07:50:38 EDT
Can be confirmed for LANG=de_DE.UTF-8 (for both versions)

2nd workaround: start "sunbird -UILocale en"
Seems that all other languages than english are broken?
Comment 2 Didier G 2009-08-18 02:49:30 EDT
I just updated Sunbird to sunbird-1.0-0.5.20090715hg.fc11.i586

Now, with LANG=fr_FR.UTF-8 in environment variables Sunbird fails to start with following message 

Erreur d'analyse XML : entité non définie
Emplacement : chrome://sunbird/content/calendar.xul
Numéro de ligne 277, Colonne 12 :           <menuitem id="calendar-export-calendar-menu"
-----------^

Sunbird works fine, but in english, if I start it in a terminal with following command :

LANG=C sunbird

As Sunbird is now unusable in other language than english, severity should be raise to high.
Comment 3 bugzilla 2009-08-18 13:35:46 EDT
Again, same for LANG=de_DE.UTF-8 (and maybe others). I totaly agree to raise severity.
Comment 4 Lubomir Rintel 2009-08-18 17:55:36 EDT
Bad news: Raising severity or priority is basically irrelevant
Good news: New package's done. Thanks for the report.
Comment 5 Fedora Update System 2009-08-18 17:58:19 EDT
sunbird-1.0-0.6.20090715hg.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/sunbird-1.0-0.6.20090715hg.fc11
Comment 6 Didier G 2009-08-18 20:49:15 EDT
I just get sunbird-1.0-0.6.20090715hg.fc11.i586.rpm from koji :

http://koji.fedoraproject.org/koji/buildinfo?buildID=127698

Both problems are fixed by this update :

- it is possible to start sunbird with LANG=fr_FR.UTF-8
- it is possible to create new event with LANG=fr_FR.UTF-8

Thanks for your prompt answer.
Comment 7 Fedora Update System 2009-08-19 19:12:58 EDT
sunbird-1.0-0.6.20090715hg.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update sunbird'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-8739
Comment 8 Fedora Update System 2009-09-06 16:42:19 EDT
sunbird-1.0-0.6.20090715hg.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.